unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    LbeID: TLabeledEdit;
    LbeNom: TLabeledEdit;
    Bevel1: TBevel;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    FXMLOleObject: Variant;
  public
    { Dclarations publiques }
  end;

var
  Form1: TForm1;

implementation

uses ComObj;

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  FXMLOleObject := CreateOleObject('XMLOleObject.Persist');
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  V: OleVariant;
begin
  V := CreateOleObject('Project1.Test');
  V.ID := 1234;
  V.Nom := 'MonNom';

  ShowMessage(FXMLOleObject.getObjectAsXML(V));
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  V: OleVariant;
const
  XML = '<ITest><ID>%s</ID><Nom>%s</Nom></ITest>';
begin
  V := CreateOleObject('Project1.Test');
  FXMLOleObject.setObjectAsXML(V, Format(XML, [LbeID.Text, LbeNom.Text]));

  ShowMessage('ID : ' + IntToStr(V.ID) + ' Nom : ' + V.Nom);
end;

end.
